import gleam/dynamic/decode.{type Decoder}

pub type ContractPayment {
  ContractPayment(on_accepted: Int, on_fulfilled: Int)
}

pub fn decoder() -> Decoder(ContractPayment) {
  use on_accepted <- decode.field("onAccepted", decode.int)
  use on_fulfilled <- decode.field("onFulfilled", decode.int)
  decode.success(ContractPayment(on_accepted:, on_fulfilled:))
}
