import birl.{type Time}
import gleam/dynamic/decode.{type Decoder}
import utils/api

pub type ShipFuelConsumed {
  ShipFuelConsumed(amount: Int, timestamp: Time)
}

pub fn decoder() -> Decoder(ShipFuelConsumed) {
  use amount <- decode.field("amount", decode.int)
  use timestamp <- decode.field("timestamp", api.time_decoder())
  decode.success(ShipFuelConsumed(amount:, timestamp:))
}
