import gleam/dynamic/decode.{type Decoder}

pub type Meta {
  Meta(total: Int, page: Int, limit: Int)
}

pub fn decoder() -> Decoder(Meta) {
  use total <- decode.field("total", decode.int)
  use page <- decode.field("page", decode.int)
  use limit <- decode.field("limit", decode.int)
  decode.success(Meta(total:, page:, limit:))
}
