import gleam/dynamic/decode.{type Decoder}
import models/engine_symbol.{type EngineSymbol}

pub type ScannedShipEngine {
  ScannedShipEngine(symbol: EngineSymbol)
}

pub fn decoder() -> Decoder(ScannedShipEngine) {
  use symbol <- decode.field("symbol", engine_symbol.decoder())
  decode.success(ScannedShipEngine(symbol:))
}
