import gleam/dynamic/decode.{type Decoder}

pub type ShipyardShipCrew {
  ShipCrew(required: Int, capacity: Int)
}

pub fn decoder() -> Decoder(ShipyardShipCrew) {
  use required <- decode.field("required", decode.int)
  use capacity <- decode.field("capacity", decode.int)
  decode.success(ShipCrew(required:, capacity:))
}
